Package org.eclipse.jgit.api.errors

## Class InvalidTagNameException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.InvalidTagNameException

All Implemented Interfaces:
  `Serializable`

    public class InvalidTagNameException
    extends GitAPIException

Exception thrown when a tag command was called with an invalid tag name (or null), such as bad~tag.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`InvalidTagNameException​(String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidTagNameException

    public InvalidTagNameException​(String msg)

Parameters:
  `msg` -